﻿Imports System.Text
Imports Ozeki.VoIP

Namespace DTMFIVRTreeNav
	Friend Class IVRNode
		Public treeNode As TreeNode
		Private parent As IVRNode
		Private children As New Dictionary(Of Integer, IVRNode)()
		Private name As String
		Public message As String

		Public Sub New(ByVal name As String, ByVal message As String)
			Me.name = name
			Me.message = message
			Me.parent = Nothing
			treeNode = New TreeNode(name)
		End Sub

		Public Sub New(ByVal name As String, ByVal message As String, ByVal parent As IVRNode)
			Me.name = name
			Me.message = message
			Me.parent = parent
			treeNode = New TreeNode(name)
		End Sub

		Public Sub AddChild(ByVal signal As Integer, ByVal child As IVRNode)
			children.Add(signal, child)
			treeNode.Nodes.Add(child.treeNode)
		End Sub

		Public Function getChild(ByVal signal As Integer) As IVRNode
			If children.ContainsKey(signal) Then
				Return children(signal)
			End If
			Return Nothing
		End Function


	End Class
End Namespace
