﻿Imports System.Text
Imports System.Xml

Namespace DTMFIVRTreeNav
	Friend Class TreeXMLParser
		Public Shared treedoc As XElement = XElement.Load("../../TreeData.xml")

		Public Shared Function parse(ByVal element As XElement, ByVal parentNode As IVRNode) As IVRNode
			Dim node As New IVRNode(element.Element("name").Value.ToString(), element.Element("message").Value.ToString(), parentNode)
			For Each childnode As XElement In element.Element("children").Elements("node")
				Try
					node.AddChild(Int32.Parse(childnode.Element("signal").Value.ToString()), parse(childnode, node))
				Catch ex As Exception
					MessageBox.Show(String.Format("error {0}", ex), "error", MessageBoxButtons.OK, MessageBoxIcon.Error)
				End Try
			Next childnode
			Return node
		End Function

	End Class
End Namespace
